// $Id: CXmlStr.h,v 1.1 2003/05/10 06:46:42 ta_muto Exp $
//

#ifndef __CXmlStr_h
#define __CXmlStr_h

namespace wax {
	class CXmlStr {
		xmlChar* string;
	public:
		CXmlStr(xmlChar* initValue) { string = initValue; }
		~CXmlStr() { if(string != NULL)	xmlFree(string); }
		
		const xmlChar* value() { return string; }
		
		void replace(xmlChar* newValue) { if(string != NULL) xmlFree(string); string = newValue; }
	} ;
}

#endif
